Loading...
Searching...
No Matches
RDKit::PicklerOps Namespace Reference

## Typedefs

using | QueryDetails

## Functions

| BETTER_ENUM (PropertyPickleOptions, unsigned int, NoProps=0, MolProps=0x1, AtomProps=0x2, BondProps=0x4, QueryAtomData=0x2, PrivateProps=0x10, ComputedProps=0x20, AllProps=0x0000FFFF, CoordsAsDouble=0x00010000, NoConformers=0x00020000)
template<class T>
QueryDetails | getQueryDetails (const Queries::Query< int, T const *, true > *query)

## Typedef Documentation

## QueryDetails

using RDKit::PicklerOps::QueryDetails

Initial value:
boost::variant<
MolPickler::Tags, std::tuple<MolPickler::Tags, int32_t>,
std::tuple<MolPickler::Tags, int32_t, int32_t>,
std::tuple<MolPickler::Tags, int32_t, int32_t, int32_t, char>,
std::tuple<MolPickler::Tags, std::set<int32_t>>,
std::tuple<MolPickler::Tags, std::string>,
std::tuple<MolPickler::Tags, PairHolder, double>>
RDKit::MolPickler::Tags
Tags
Definition MolPickler.h:78

Definition at line 321 of file MolPickler.h.

## Function Documentation

## BETTER_ENUM()

RDKit::PicklerOps::BETTER_ENUM | ( | PropertyPickleOptions | ,
|  | unsigned int | ,
|  | NoProps | = 0,
|  | MolProps | = 0x1,
|  | AtomProps | = 0x2,
|  | BondProps | = 0x4,
|  | QueryAtomData | = 0x2,
|  | PrivateProps | = 0x10,
|  | ComputedProps | = 0x20,
|  | AllProps | = 0x0000FFFF,
|  | CoordsAsDouble | = 0x00010000,
|  | NoConformers | = 0x00020000 )

## getQueryDetails()

template<class T>

QueryDetails RDKit::PicklerOps::getQueryDetails | ( | const Queries::Query< int, T const *, true > * | query | ) |

References getQueryDetails().

Referenced by getQueryDetails().